### Constructor

# Gio NetworkAddress new_loopback

since: 2.44

#### Declaration [src]

    GSocketConnectable*
    g_network_address_new_loopback (
      guint16 port
    )

#### Description [src]

Creates a new `GSocketConnectable` for connecting to the local host over a loopback connection to the given `port`. This is intended for use in connecting to local services which may be running on IPv4 or IPv6.

The connectable will return IPv4 and IPv6 loopback addresses, regardless of how the host resolves `localhost`. By contrast, `g_network_address_new()` will often only return an IPv4 address when resolving `localhost`, and an IPv6 address for `localhost6`.

`g_network_address_get_hostname()` will always return `localhost` for a `GNetworkAddress` created with this constructor.

Available since: 2.44

#### Parameters

`port`

  Type: `guint16`

  The port.

#### Return value

Type: `GNetworkAddress`

The new `GNetworkAddress`.

The caller of the function takes ownership of the data, and is responsible for freeing it.